## python-coverage 3.7.1+dfsg.1

=== debian/control ===
Source: python-coverage
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Section: python
Priority: optional
Standards-Version: 3.9.5
Build-Depends:
    debhelper (>= 9~),
    python-docutils,
    python-setuptools,
    python-all-dev (>= 2.6.6-3~),
    python-all-dbg,
    python (>= 2.6.6-3~),
    python3-setuptools,
    python3-all-dev,
    python3-all-dbg,
    python3
Homepage: http://nedbatchelder.com/code/coverage/
VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-coverage
Architecture: any
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery
Description: code coverage tool for Python 2
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python version 2 ‘coverage’ library, and the
 ‘python-coverage’ program to perform and report coverage tests.

Package: python3-coverage
Architecture: any
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery
Description: code coverage tool for Python 3
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python version 3 ‘coverage’ library, and the
 ‘python3-coverage’ program to perform and report coverage tests.

Package: python-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python-coverage (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    python-dbg
Description: code coverage tool for Python 2 – debug library
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols and debug build for the C
 extension libraries in ‘python-coverage’.

Package: python3-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python3-coverage (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    python3-dbg
Description: code coverage tool for Python 3 – debug library
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols and debug build for the C
 extension libraries in ‘python3-coverage’.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of Debian ‘python-coverage’ package.
#
# Copyright © 2010–2014 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the BSD 2-clause license.
# No warranty expressed or implied.
# See the file ‘coverage/__init__.py’ for details.

SOURCE_PACKAGE_NAME = python-coverage
PYTHON2_PACKAGE_NAME = python-coverage
PYTHON3_PACKAGE_NAME = python3-coverage
python2_debug_package_name = ${PYTHON2_PACKAGE_NAME}-dbg
python3_debug_package_name = ${PYTHON3_PACKAGE_NAME}-dbg
package_working_root = debian
package_install_root = ${package_working_root}/tmp
package_install_bin_dir = ${package_install_root}/usr/bin

PYTHON2_VERSIONS = $(shell pyversions -vr)
PYTHON3_VERSIONS = $(shell py3versions -vr)
PYTHON_VERSIONS = ${PYTHON2_VERSIONS} ${PYTHON3_VERSIONS}

# For some ‘/usr/bin/*-coverage’ programs (and not others), we need the
# default, not current, Python interpreter in the shebang. The ‘dh-python’
# helpers can re-write shebangs, but they are too eager, converting every
# program's shebang without allowing us to specify different interpreters
# per program. We resort to ‘sed’.
python3_program = ${package_install_bin_dir}/python3-coverage
shebang_line_regex = ^\#!.*$$
python3_shebang_interpreter = /usr/bin/python3

debug_object_exclude += _d.so

# Unfortunately, ‘dh_install --exclude’ requires a substring, and a glob
# wildcard will *not* work. So we need to specify the exact substring for
# the Python 3 debug module filenames.
python3_objcode_versions = $(shell \
	printf "%s\n" ${PYTHON3_VERSIONS} | sed -e 's/\.//g')
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
debug_object_exclude += $(foreach ver,${python3_objcode_versions}, \
	.cpython-${ver}dm-${DEB_HOST_MULTIARCH}.so)

DISTRIBUTION_NAME = coverage
egg_info_dir = ${DISTRIBUTION_NAME}.egg-info
GENERATED_FILES += ${egg_info_dir}/PKG-INFO ${egg_info_dir}/SOURCES.txt

HTMLFILES_DIR = ${DISTRIBUTION_NAME}/htmlfiles
htmlfiles_dirname = $(notdir ${HTMLFILES_DIR})
bundled_libraries += $(addprefix ${HTMLFILES_DIR}/, \
	jquery.hotkeys.js \
	jquery.isonscreen.js \
	)

RESOURCES_DIR = resources
package_install_resources_root = ${package_install_root}/${RESOURCES_DIR}

DOCUMENTATION_DIR = doc
MANPAGE_SUFFIX = .1
manpage_tempfile_suffix = ${MANPAGE_SUFFIX}.tmp
default_manpage_name = python-coverage${MANPAGE_SUFFIX}
python2_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	$(notdir $(wildcard ${package_install_bin_dir}/python2*-coverage)))
python3_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	$(notdir $(wildcard ${package_install_bin_dir}/python3*-coverage)))
versioned_manpage_names = ${python2_manpage_names} ${python3_manpage_names}
versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
	${versioned_manpage_names})
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${MANPAGE_SUFFIX}
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${manpage_tempfile_suffix}

INSTALL = install

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

RST_SUFFIX = .txt

RST2MAN = rst2man


ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
.PHONY: test-python%
test-python%:
	python$* setup.py test -vv

.PHONY: override_dh_auto_test
override_dh_auto_test: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=test-python%))
endif


.PHONY: build
build: build-arch build-indep
build: remove-bundled-libraries
build: ${MANPAGES} manpage-symlinks
	dh $@ --with python2,python3

.PHONY: build-arch
build-arch: build-stamp
	dh $@ --with python2,python3

.PHONY: build-indep
build-indep: build-stamp
	dh $@ --with python2,python3

build-stamp:
	touch $@

.PHONY: build-python%
build-python%:
	python$*-dbg setup.py build
	python$* setup.py build

.PHONY: remove-bundled-libraries
remove-bundled-libraries:
	$(RM) ${bundled_libraries}

.PHONY: manpage-symlinks
manpage-symlinks: ${versioned_manpage_paths}

${DOCUMENTATION_DIR}/${default_manpage_name}: ${package_working_root}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r "$<" "$@"

${DOCUMENTATION_DIR}/%${MANPAGE_SUFFIX}: ${DOCUMENTATION_DIR}/${default_manpage_name}
	ln -s ${default_manpage_name} "$@"

%.1: %.1${RST_SUFFIX}
	$(RST2MAN) $< > "$@".tmp
	cat debian/manpage_encoding_declaration.UTF-8 "$@".tmp > "$@"


.PHONY: clean
clean:
	dh $@ --with python2,python3
	$(RM) -r ${GENERATED_FILES}

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build
	$(RM) -r ${egg_info_dir}


# Policy §4.9 strongly recommends the ‘get-orig-source’ target:
# “This target is optional, but providing it if possible is a good idea.”
.PHONY: get-orig-source
get-orig-source: http_proxy =
get-orig-source: makefile_dir = $(abspath $(dir $(firstword ${MAKEFILE_LIST})))
get-orig-source: package_dir = $(abspath $(dir ${makefile_dir}))
get-orig-source:
	uscan --noconf --verbose \
	    --force-download --download-current-version \
	    --rename \
	    --destdir=$(CURDIR) \
	    --check-dirname-level=0 ${package_dir}


.PHONY: install
install: build
	dh $@ --with python2,python3 \
	    --package ${python2_debug_package_name} \
	    --package ${python3_debug_package_name}
	dh $@ --with python2,python3 \
	    $(foreach exclude_part,${debug_object_exclude}, \
	        --exclude ${exclude_part})

${package_install_resources_root}:
	$(INSTALL) -d "$@"

${package_install_resources_root}/${htmlfiles_dirname}: ${HTMLFILES_DIR} ${package_install_resources_root}
	$(INSTALL) -d "$@"
	$(INSTALL) --mode=u=rw,go=r "$<"/* "$@"

.PHONY: install-resource-files
install-resource-files: ${package_install_resources_root}
install-resource-files: ${package_install_resources_root}/${htmlfiles_dirname}

.PHONY: install-python%
install-python%: python_version_major = $(firstword $(subst ., ,$*))
install-python%:
	python$*-dbg setup.py install --install-layout=deb \
	    --root=$(CURDIR)/${package_install_root}
	python$* setup.py install --install-layout=deb \
	    --root=$(CURDIR)/${package_install_root}
	if [ "${python_version_major}" = "3" ] ; then \
	    sed -i -e '1 s,${shebang_line_regex},#! ${python3_shebang_interpreter},' \
	        "${python3_program}" ; \
	fi


.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh $@ --with python2,python3

.PHONY: binary
binary: build binary-indep binary-arch


.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --package=${PYTHON2_PACKAGE_NAME} --dbg-package=${python2_debug_package_name}
	dh_strip --package=${PYTHON3_PACKAGE_NAME} --dbg-package=${python3_debug_package_name}

.PHONY: override_dh_auto_build
override_dh_auto_build: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=build-python%))
override_dh_auto_build:
	dh_auto_build

.PHONY: override_dh_auto_install
override_dh_auto_install: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=install-python%))
override_dh_auto_install: install-resource-files
	dh_auto_install

.PHONY: override_dh_link
override_dh_link:
	dh_link
	for pyversion in ${PYTHON2_VERSIONS} ; do \
	    dh_link \
	        --package=${PYTHON2_PACKAGE_NAME} \
	        usr/share/${PYTHON2_PACKAGE_NAME}/${htmlfiles_dirname} \
	        usr/lib/python$${pyversion}/dist-packages/${HTMLFILES_DIR} ; \
	done

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs \
	    --package=${PYTHON2_PACKAGE_NAME} \
	    --package=${python2_debug_package_name} \
            --link-doc=${PYTHON2_PACKAGE_NAME}
	dh_installdocs \
	    --package=${PYTHON3_PACKAGE_NAME} \
	    --package=${python3_debug_package_name} \
	    --link-doc=${PYTHON3_PACKAGE_NAME}


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

## python-coverage 4.2+dfsg.1

=== Makefile ===
# Licensed under the Apache License: http://www.apache.org/licenses/LICENSE-2.0
# For details: https://bitbucket.org/ned/coveragepy/src/default/NOTICE.txt

# Makefile for utility work on coverage.py.

default:
	@echo "* No default action *"

clean:
	-rm -f *.pyd */*.pyd
	-rm -f *.so */*.so
	-PYTHONPATH=. python tests/test_farm.py clean
	-rm -rf tests/farm/*/out
	-rm -rf build coverage.egg-info dist htmlcov
	-rm -f *.pyc */*.pyc */*/*.pyc */*/*/*.pyc */*/*/*/*.pyc */*/*/*/*/*.pyc
	-rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo */*/*/*/*.pyo */*/*/*/*/*.pyo
	-rm -f *.bak */*.bak */*/*.bak */*/*/*.bak */*/*/*/*.bak */*/*/*/*/*.bak
	-rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class */*/*/*/*$$py.class */*/*/*/*/*$$py.class
	-rm -rf __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__ */*/*/*/__pycache__ */*/*/*/*/__pycache__
	-rm -f coverage/*,cover
	-rm -f MANIFEST
	-rm -f .coverage .coverage.* coverage.xml .metacov* .noseids
	-rm -f tests/zipmods.zip
	-rm -rf tests/eggsrc/build tests/eggsrc/dist tests/eggsrc/*.egg-info
	-rm -f setuptools-*.egg distribute-*.egg distribute-*.tar.gz
	-rm -rf doc/_build doc/_spell

sterile: clean
	-rm -rf .tox*

LINTABLE = coverage igor.py setup.py tests ci/*.py

lint:
	-pylint $(LINTABLE)
	python -m tabnanny $(LINTABLE)
	python igor.py check_eol

spell:
	-pylint --disable=all --enable=spelling $(LINTABLE)

pep8:
	pep8 --filename=*.py --repeat $(LINTABLE)

test:
	tox -e py27,py35 $(ARGS)

metacov:
	COVERAGE_COVERAGE=yes tox $(ARGS)

metahtml:
	python igor.py combine_html

# Kitting

kit:
	python setup.py sdist --formats=gztar,zip

wheel:
	tox -c tox_wheels.ini $(ARGS)

kit_upload:
	twine upload dist/*

kit_local:
	# pip.conf looks like this:
	#   [global]
	#   find-links = file:///Users/ned/Downloads/local_pypi
	cp -v dist/* `awk -F "//" '/find-links/ {print $$2}' ~/.pip/pip.conf`
	# pip caches wheels of things it has installed. Clean them out so we
	# don't go crazy trying to figure out why our new code isn't installing.
	find ~/Library/Caches/pip/wheels -name 'coverage-*' -delete

download_appveyor:
	python ci/download_appveyor.py nedbat/coveragepy

pypi:
	python setup.py register

build_ext:
	python setup.py build_ext

install:
	python setup.py install

uninstall:
	-rm -rf $(PYHOME)/lib/site-packages/coverage*
	-rm -rf $(PYHOME)/scripts/coverage*

# Documentation

SPHINXBUILD = sphinx-build
SPHINXOPTS = -a -E doc
WEBHOME = ~/web/stellated/
WEBSAMPLE = $(WEBHOME)/files/sample_coverage_html
WEBSAMPLEBETA = $(WEBHOME)/files/sample_coverage_html_beta

docreqs:
	pip install -r doc/requirements.pip

dochtml:
	$(SPHINXBUILD) -b html $(SPHINXOPTS) doc/_build/html
	@echo
	@echo "Build finished. The HTML pages are in doc/_build/html."

docspell:
	$(SPHINXBUILD) -b spelling $(SPHINXOPTS) doc/_spell

publish:
	rm -f $(WEBSAMPLE)/*.*
	mkdir -p $(WEBSAMPLE)
	cp doc/sample_html/*.* $(WEBSAMPLE)

publishbeta:
	rm -f $(WEBSAMPLEBETA)/*.*
	mkdir -p $(WEBSAMPLEBETA)
	cp doc/sample_html_beta/*.* $(WEBSAMPLEBETA)

=== debian/changelog ===
python-coverage (4.2+dfsg.1-1) unstable; urgency=medium

  * The “Ananta Bijoy Das” release.
  * New upstream version.
    Highlights since previous release:
    * The ‘coverage combine’ command now ignores an existing ‘.coverage’
      data file.
    * Now it is an error to use ‘--concurrency=multiprocessing’ and other
      run-affecting options on the command line. (Previously, the options
      didn’t apply to the subprocesses, but there was no indication.)
    * Better support for multiprocessing and combining data.
  * debian/*.lintian-overrides:
    * Override false-positive Lintian warnings about Coverage.py being an
      application.
  * debian/control:
    * Declare the package for upstream documentation.
    * Add dependencies on the documentation package.
  * debian/control, debian/rules:
    * Enable build of upstream documentation using Sphinx.
  * debian/python-coverage-doc.{docs, doc-base}:
    * Install the upstream documentation.
  * debian/tests/control:
    * Test that the documentation is correctly installed as HTML.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 09 Aug 2016 06:05:28 +1000

python-coverage (4.1+dfsg.1-3) unstable; urgency=medium

  * The “Washikur Rahman” release.
  * debian/python-coverage.1.txt:
    * Remove mention of “classic” command line arguments.
      Closes: bug#829556. Thanks to Jakub Wilk for the bug report.
    * Correctly document the ‘combine’ and ‘debug’ sub-commands.
  * debian/control:
    * Declare new run-time dependency on “debounce” JavaScript library.
      Closes: bug#828094. Thanks to Barry Warsaw for the bug report.
  * debian/patches/03.rename-debounce-library.patch, debian/patches/series:
    * Rename the “debounce” library to that installed by Debian.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 12 Jul 2016 20:53:39 +1000

python-coverage (4.1+dfsg.1-2) unstable; urgency=medium

  * The “Humayun Azad” release.
  * debian/README.Debian, debian/python-coverage.1.txt:
    * Correct editor hints.
      Closes: bug#827599. Thanks to Jakub Wilk for the bug report.
  * debian/patches/02.rename-public-programs.patch:
    * Correct entry point to match upstream change.
      Closes: bug#827600. Thanks to Jakub Wilk for the bug report.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 18 Jun 2016 23:56:07 +1000

python-coverage (4.1+dfsg.1-1) unstable; urgency=medium

  * The “Mohsen Amir Aslani” release.
  * New upstream version (Closes: bug#797267, bug#799629).
    Highlights since previous release:
    * Now licensed to recipients under Apache License 2.0.
    * Plugin support for measuring non-Python files.
    * Coverage measurement of code that uses concurrency libraries.
    * Branch coverage much improved, rewritten using AST analysis.
    * Live filtering in the HTML report.
    Upstream test runner is also re-worked.
    (Closes: bug#802916)
  * debian/copyright:
    * Update copyright information for upstream work.
    * Add editor hints.
  * debian/copyright, debian/rules, debian/repack:
    * Update copyright information for Debian packaging.
    * Grant license in Debian packaging work under Apache License 2.0.
  * debian/python-coverage.1.txt
    * Grant license in manual page under Apache License 2.0.
  * debian/control:
    * Declare “Standards-Version: 3.9.8”. No additional changes required.
    * Add explicit “Build-Depends: dh-python”.
    * Update supported Python versions.
    * Update package descriptions to better match current behaviour.
  * debian/rules:
    * Add ‘get-packaged-orig-source’ target to fetch upstream source for
      declared package version.
    * Upstream tarball currently omits documentation directory; create it.
    * Update name of upstream changelog file.
    * Disable upstream test suite run.
      (Closes: bug#826758)
    * Install manpage aliases as normal files.
    * Add hardening build flags for ELF binaries.
  * debian/rules, debian/*.install, debian/*.links:
    * Migrate Python packaging tool to Pybuild.
      (Closes: bug#735373)
    * Remove ‘dh_install’ and ‘dh_link’ configuration files. File paths
      now depend on Pybuild actions in ‘debian/rules’.
  * debian/watch:
    * Switch from defunct source API to Debian-maintained mirror.
    * Refine regex to more tightly match a version string.
    * Add editor hints.
  * debian/repack:
    * Use GNU tar feature to auto-detect compression type.
    * Update set of non-free source files.
  * debian/patches:
    * Update patches for new upstream code base.
  * debian/control, debian/bzr-buildpackage.conf, debian/gbp.conf:
    * Migrate to Git VCS for packaging.
    * Remove superfluous configuration for Bzr-buildpackage.
    * Add configuration for Git-buildpackage.
  * debian/README.source:
    * Document how the source package is built.
  * debian/clean:
    * Remove Setuptools build artefacts.
  * debian/control, debian/rules, debian/*-dbg.postinst:
    * Remove explicit debug symbol packages, now implicit for all
      architecture-dependent packages in Debian.
    * Remove special handling for documentation for debug packages.
  * debian/rules, debian/control, debian/README.Debian:
    * Remove the ‘python-coverage’ command from Python 3 package.
      This resolves a conflict between the Python 2 and Python 3 packages.
    * Document that the ‘python-coverage’ command is only for Python 2.
  * debian/tests/control,
    debian/tests/smoke-python{2,3}, debian/tests/smoke_test.py:
    * Add smoke test suite to verify distribution is installed.
      (Closes: bug#729703)

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 15 Jun 2016 22:35:46 +1000

=== debian/control ===
Source: python-coverage
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Section: python
Priority: optional
Build-Depends:
    dh-python,
    python3-sphinx,
    python3-sphinx-rtd-theme,
    python3-sphinxcontrib.spelling,
    python-docutils,
    python-setuptools,
    python-all-dev (>= 2.6.6-3~),
    python (>= 2.6.6-3~),
    python3-setuptools,
    python3-all-dev,
    python3,
    debhelper (>= 9~)
Standards-Version: 3.9.8
Homepage: http://nedbatchelder.com/code/coverage/
VCS-Git: https://anonscm.debian.org/git/collab-maint/pkg-python-coverage.git
VCS-Browser: https://anonscm.debian.org/git/collab-maint/pkg-python-coverage.git/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python3-coverage
Architecture: any
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery-throttle-debounce,
    libjs-jquery
Suggests:
    python-coverage-doc
Description: code coverage tool for Python 3
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 Coverage measurement is typically used to gauge the effectiveness of
 tests. It can show which parts of your code are being exercised by
 tests, and which are not.
 .
 This package installs the Python version 3 ‘coverage’ library, and the
 ‘python3-coverage’ program to perform and report coverage tests.

Package: python-coverage
Architecture: any
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery-throttle-debounce,
    libjs-jquery
Suggests:
    python-coverage-doc
Description: code coverage tool for Python 2
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 Coverage measurement is typically used to gauge the effectiveness of
 tests. It can show which parts of your code are being exercised by
 tests, and which are not.
 .
 This package installs the Python version 2 ‘coverage’ library, and the
 ‘python2-coverage’ program to perform and report coverage tests.

Package: python-coverage-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends}
Description: code coverage tool for Python — documentation
 Coverage.py is a tool for measuring code coverage of Python programs.
 It monitors your program, noting which parts of the code have been
 executed, then analyzes the source to identify code that could have
 been executed but was not.
 .
 This package installs the HTML documentation for Coverage.py.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of the Debian ‘python-coverage’ package.
#
# Copyright © 2010–2016 Ben Finney <ben+debian@benfinney.id.au>
#
# This is free software; you may copy, modify, and/or distribute this
# work under the terms of the Apache License, version 2.0 as published
# by the Apache Software Foundation. No warranty expressed or implied.
# See the file ‘/usr/share/common-licenses/Apache-2.0’ for details.

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME = coverage
export PYBUILD_DISABLE = test

PYTHON2_PACKAGE_NAME = python-${PYBUILD_NAME}
PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
package_working_root = debian
package_install_root = debian/{package}

DISTRIBUTION_NAME = coverage

HTMLFILES_DIR = ${DISTRIBUTION_NAME}/htmlfiles
htmlfiles_dirname = $(notdir ${HTMLFILES_DIR})
bundled_libraries += $(addprefix ${HTMLFILES_DIR}/, \
	jquery.hotkeys.js \
	jquery.isonscreen.js \
	)

RESOURCES_DIR = usr/share/{package}
package_install_resources_root = ${package_install_root}/${RESOURCES_DIR}

DOCUMENTATION_DIR = doc
MANPAGE_SUFFIX = .1
manpage_tempfile_suffix = ${MANPAGE_SUFFIX}.tmp
default_manpage_name = python-coverage${MANPAGE_SUFFIX}
python2_command_names = $(sort $(notdir $(wildcard \
	${package_working_root}/*/usr/bin/python2*-coverage)))
python3_command_names = $(sort $(notdir $(wildcard \
	${package_working_root}/*/usr/bin/python3*-coverage)))
versioned_command_names = ${python2_command_names} ${python3_command_names}
versioned_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	${versioned_command_names})
versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
	${versioned_manpage_names})
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${MANPAGE_SUFFIX}
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${manpage_tempfile_suffix}

DOCUMENTATION_BUILD_DIR = ${DOCUMENTATION_DIR}/_build
DOCUMENTATION_BUILD_HTML_DIR = ${DOCUMENTATION_BUILD_DIR}/html
GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}

INSTALL = install

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

RST_SUFFIX = .txt

RST2MAN = rst2man

SPHINX = sphinx-build
SPHINX_OPTS = -N


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


.PHONY: remove-bundled-libraries
remove-bundled-libraries:
	$(RM) ${bundled_libraries}

.PHONY: manpage-aliases
manpage-aliases: ${versioned_manpage_paths}

${DOCUMENTATION_DIR}:
	$(INSTALL) --directory "$@"

${DOCUMENTATION_DIR}/${default_manpage_name}: ${DOCUMENTATION_DIR}
${DOCUMENTATION_DIR}/${default_manpage_name}: ${package_working_root}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r "$<" "$@"

${DOCUMENTATION_DIR}/%${MANPAGE_SUFFIX}: ${DOCUMENTATION_DIR}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r "$<" "$@"

%.1: %.1${RST_SUFFIX}
	$(RST2MAN) "$<" > "$@".tmp
	cat debian/manpage_encoding_declaration.UTF-8 "$@".tmp > "$@"


.PHONY: get-packaged-orig-source
get-packaged-orig-source:
	$(uscan-download-source) --download-current-version

# Policy §4.9 strongly recommends the ‘get-orig-source’ target:
# “This target is optional, but providing it if possible is a good idea.”
#
# This target is an anomaly: per Policy §4.9, it fetches the *latest*
# upstream source, regardless of this package's version. To fetch the
# upstream source corresponding to this package's *declared* version
# in ‘debian/changelog’, use ‘get-packaged-orig-source’ instead.
.PHONY: get-orig-source
get-orig-source:
	$(uscan-download-source)

get-orig-source get-packaged-orig-source: http_proxy =
get-orig-source get-packaged-orig-source: makefile_dir = $(abspath $(dir $(firstword ${MAKEFILE_LIST})))
get-orig-source get-packaged-orig-source: package_dir = $(abspath $(dir ${makefile_dir}))

define uscan-download-source
	uscan --noconf --verbose \
	    --force-download \
	    --rename \
	    --destdir=$(CURDIR) \
	    --check-dirname-level=0 ${package_dir}
endef # uscan-download-source


override_dh_auto_build: remove-bundled-libraries
override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild

# Upstream test suite doesn't currently run in our build environment.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
	    usr/bin/python-coverage)

export PYBUILD_AFTER_INSTALL = \
	$(INSTALL) --mode=u=rwx,go=rx --directory \
	    "${package_install_resources_root}" ; \
	$(INSTALL) --mode=u=rwx,go=rx --directory \
	    "${package_install_resources_root}/${htmlfiles_dirname}" ; \
	$(INSTALL) --mode=u=rw,go=r "${HTMLFILES_DIR}"/* \
	    "${package_install_resources_root}/${htmlfiles_dirname}" ; \
	dh_link \
	    --package={package} \
	    "/${RESOURCES_DIR}/${htmlfiles_dirname}" \
	    usr/lib/python{version}/dist-packages/${HTMLFILES_DIR}

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_installman: manpage-aliases
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r ${GENERATED_FILES}

override_dh_auto_build:
	dh_auto_build
	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOCUMENTATION_DIR}/ \
		${DOCUMENTATION_BUILD_HTML_DIR}/


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’

Tests: smoke-python2
Depends:
    python-pkg-resources,
    python-coverage

Tests: smoke-python3
Depends:
    python3-pkg-resources,
    python3-coverage

Test-Command:
    links -dump /usr/share/doc/python-coverage-doc/html/index.html > /dev/null
Depends:
    python-coverage-doc,
    links

Test-Command:
    file /usr/share/doc/python-coverage-doc/html/index.html | grep -q 'HTML document'
Depends:
    python-coverage-doc,
    file


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

=== debian/watch ===
# debian/watch
# Debian uscan file for ‘python-coverage’ package.
# Manpage: ‘uscan(1)’

# Compulsory line, this is a version 3 file.
version=3

# Current version from Python Package Index.
opts="uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/,dversionmangle=s/\+dfsg\.\d+$//" \
    http://pypi.debian.net/coverage/coverage-(\S+)\.tar\.(?:gz|bz2|xz) \
    debian debian/repack


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## python-coverage 4.3.4+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	@echo "* No default action *"
 
 clean:
+	-pip uninstall -y coverage
 	-rm -f *.pyd */*.pyd
 	-rm -f *.so */*.so
 	-PYTHONPATH=. python tests/test_farm.py clean
@@ -19,30 +20,40 @@
 	-rm -rf __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__ */*/*/*/__pycache__ */*/*/*/*/__pycache__
 	-rm -f coverage/*,cover
 	-rm -f MANIFEST
-	-rm -f .coverage .coverage.* coverage.xml .metacov* .noseids
+	-rm -f .coverage .coverage.* coverage.xml .metacov*
 	-rm -f tests/zipmods.zip
 	-rm -rf tests/eggsrc/build tests/eggsrc/dist tests/eggsrc/*.egg-info
 	-rm -f setuptools-*.egg distribute-*.egg distribute-*.tar.gz
 	-rm -rf doc/_build doc/_spell
+	-rm -rf .tox_kits
 
 sterile: clean
 	-rm -rf .tox*
 
-LINTABLE = coverage igor.py setup.py tests ci/*.py
+LINTABLE = coverage tests igor.py setup.py __main__.py
 
 lint:
-	-pylint $(LINTABLE)
-	python -m tabnanny $(LINTABLE)
-	python igor.py check_eol
+	tox -e lint
+
+todo:
+	-grep -R --include=*.py TODO $(LINTABLE)
 
 spell:
 	-pylint --disable=all --enable=spelling $(LINTABLE)
 
 pep8:
-	pep8 --filename=*.py --repeat $(LINTABLE)
+	pycodestyle --filename=*.py --repeat $(LINTABLE)
 
 test:
 	tox -e py27,py35 $(ARGS)
+
+TOX_SMOKE_ARGS = -n 6 -m "not expensive" --maxfail=3 $(ARGS)
+
+smoke:
+	COVERAGE_NO_PYTRACER=1 tox -e py26,py33 -- $(TOX_SMOKE_ARGS)
+
+pysmoke:
+	COVERAGE_NO_CTRACER=1 tox -e py26,py33 -- $(TOX_SMOKE_ARGS)
 
 metacov:
 	COVERAGE_COVERAGE=yes tox $(ARGS)
@@ -53,7 +64,7 @@
 # Kitting
 
 kit:
-	python setup.py sdist --formats=gztar,zip
+	python setup.py sdist --formats=gztar
 
 wheel:
 	tox -c tox_wheels.ini $(ARGS)
@@ -72,9 +83,6 @@
 
 download_appveyor:
 	python ci/download_appveyor.py nedbat/coveragepy
-
-pypi:
-	python setup.py register
 
 build_ext:
 	python setup.py build_ext
@@ -98,7 +106,7 @@
 	pip install -r doc/requirements.pip
 
 dochtml:
-	$(SPHINXBUILD) -b html $(SPHINXOPTS) doc/_build/html
+	PYTHONPATH=$(CURDIR) $(SPHINXBUILD) -b html $(SPHINXOPTS) doc/_build/html
 	@echo
 	@echo "Build finished. The HTML pages are in doc/_build/html."

=== debian/changelog ===
python-coverage (4.3.4+dfsg.1-1build1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 05 Aug 2017 10:48:53 +0000

python-coverage (4.3.4+dfsg.1-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:28:58 +1200

python-coverage (4.3.4+dfsg.1-1) experimental; urgency=medium

  * The “Faraaz Ayaaz Hossain” release.
  * New upstream version.
    Highlights since previous release:
    * HTML report generation now obeys the ‘--skip-covered’ option.
    * The coverage run now executes ‘sys.excepthook’ when an exception
      is uncaught.
    * Configuration options in Tox configuration is now obeyed.
  * Specify current VCS for Debian packaging work.
  * debian/patches/03.rename-debounce-library.patch:
    * Removed, applied upstream.
  * debian/patches/03.remove-hotkeys.patch:
    * Remove usage of incompatible ‘jquery.hotkeys.js’ API.
      Closes: bug#848188. Thanks to Loic Dachary for the report.

 -- Ben Finney <bignose@debian.org>  Thu, 25 May 2017 19:30:50 +1000

python-coverage (4.2+dfsg.1-2) unstable; urgency=medium

  * The “Niloy Neel” release.
  * debian/*:
    * Update my email address for Debian work.
  * debian/README.source:
    * Much more detail about how to build the source package from VCS.
  * Specify current VCS for Debian packaging work.
  * Convert UScan configuration to format version 4.
  * Add invocations of command-line programs to autopkgtests.
    Closes: bug#827464. Thanks to Barry Warsaw for the report.
  * Configure Sphinx build system to allow import of code during build.
    This allows the ‘autodoc’ extension to generate API documentation.

 -- Ben Finney <bignose@debian.org>  Sat, 24 Sep 2016 15:03:52 +1000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-coverage
-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
+Maintainer: Ben Finney <bignose@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -17,8 +17,8 @@
     debhelper (>= 9~)
 Standards-Version: 3.9.8
 Homepage: http://nedbatchelder.com/code/coverage/
-VCS-Git: https://anonscm.debian.org/git/collab-maint/pkg-python-coverage.git
-VCS-Browser: https://anonscm.debian.org/git/collab-maint/pkg-python-coverage.git/
+VCS-Git: https://anonscm.debian.org/git/users/bignose/debian/pkg-python-coverage.git
+VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian/pkg-python-coverage.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
@@ -30,7 +30,6 @@
     ${shlibs:Depends},
     ${misc:Depends}
 Recommends:
-    libjs-jquery-hotkeys,
     libjs-jquery-isonscreen,
     libjs-jquery-tablesorter,
     libjs-jquery-throttle-debounce,
@@ -58,7 +57,6 @@
     ${shlibs:Depends},
     ${misc:Depends}
 Recommends:
-    libjs-jquery-hotkeys,
     libjs-jquery-isonscreen,
     libjs-jquery-tablesorter,
     libjs-jquery-throttle-debounce,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # debian/rules
 # Part of the Debian ‘python-coverage’ package.
 #
-# Copyright © 2010–2016 Ben Finney <ben+debian@benfinney.id.au>
+# Copyright © 2010–2017 Ben Finney <bignose@debian.org>
 #
 # This is free software; you may copy, modify, and/or distribute this
 # work under the terms of the Apache License, version 2.0 as published
@@ -27,7 +27,6 @@
 HTMLFILES_DIR = ${DISTRIBUTION_NAME}/htmlfiles
 htmlfiles_dirname = $(notdir ${HTMLFILES_DIR})
 bundled_libraries += $(addprefix ${HTMLFILES_DIR}/, \
-	jquery.hotkeys.js \
 	jquery.isonscreen.js \
 	)

=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘python-coverage’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 3

# Current version from Python Package Index.
opts = "uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/,dversionmangle=s/\+dfsg\.\d+$//" \
    http://pypi.debian.net/coverage/coverage-(\S+)\.tar\.(?:gz|bz2|xz) \
    debian debian/repack


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## python-coverage 4.5+dfsg.1

=== debian/changelog ===
python-coverage (4.5+dfsg.1-3~cloud0) xenial-queens; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Feb 2018 11:30:51 +0000

python-coverage (4.5+dfsg.1-3) unstable; urgency=medium

  * The “Simona Monti” release.
  * Document copyright information for bundled files in source:
    * jquery.hotkeys.js
    * jquery.isonscreen.js
    Closes: bug#890578. Thanks to Chris Lamb for the report.

 -- Ben Finney <bignose@debian.org>  Wed, 21 Feb 2018 17:33:50 +1100

python-coverage (4.5+dfsg.1-2) unstable; urgency=medium

  * The “Nadia Benedetti” release.
  * Build ‘pypy-coverage’ binary package.
    Closes: bug#889823. Thanks to Ondřej Nový for the report and patch.
  * Correct install directory in Debian rules.
    Closes: bug#890560. Thanks to Chris Lamb for the report and patch.

 -- Ben Finney <bignose@debian.org>  Fri, 16 Feb 2018 11:56:06 +1100

python-coverage (4.5+dfsg.1-1) unstable; urgency=medium

  * The “Zakir Hossain Shaon” release.
  * New upstream version.
    Highlights since previous release:
    * Support for plug-ins to alter Coverage.py configuration.
    * Corrected behaviour of ‘include’ and ‘omit’ options.
  * Specify current VCS for Debian packaging work.
  * Update description of source package for current VCS workflow.
  * Update Git-Buildpackage configuration for current VCS workflow.
  * Override the Pybuild build system detection.
    The presence of a Makefile confuses Pybuild.

 -- Ben Finney <bignose@debian.org>  Wed, 14 Feb 2018 17:12:22 +1100

python-coverage (4.4.2+dfsg.1-1) unstable; urgency=medium

  * The “Saiful Islam Chowkidar” release.
  * New upstream version.
    Highlights since previous release:
    * Support for Python 3.7.
    * Fixed a race condition when saving data.
    * Tilde expansion in file paths for configuration options.
  * Declare “Standards-Version: 4.1.3”. No additional changes required.
  * debian/patches/03.remove-hotkeys.patch:
    * Consolidate hunks, to avoid multiple patches of any one file.
      Closes: bug#887780. Thanks to Jeffrey Cliff for the report.
  * Update Lintian overrides for current Python versions.
  * Use HTTPS URL for PyPI redirector.
  * Update Debhelper compatibility level to 11.
  * debian/tests/control:
    * Update for new filesystem location of documentation.
  * Override erroneous ‘missing-notice-file-for-apache-license’.

 -- Ben Finney <bignose@debian.org>  Sat, 20 Jan 2018 18:39:57 +1100

python-coverage (4.4.1+dfsg.1-1) unstable; urgency=medium

  * The “Jogeshwar Roy” release.
  * Upload to “unstable” suite.
  * New upstream version.
    Highlights since previous release:
    * Some warnings can now be individually disabled.
    * Plugins can now choose to find unexecuted files.
    * Errors now go to the standard error stream.
  * Refresh patches for new upstream version.
  * Use current HTTPS URL for copyright format reference.
  * Declare “Standards-Version: 4.1.0”. No additional changes required.
  * Update copyright years in Debian packaging.
  * Grant a uniform license for Debian packaging work.
  * Enable smoke test of installed Python scripts in autopkgtest.

 -- Ben Finney <bignose@debian.org>  Sat, 09 Sep 2017 17:59:17 +1000

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # debian/rules
 # Part of the Debian ‘python-coverage’ package.
 #
-# Copyright © 2010–2017 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2018 Ben Finney <bignose@debian.org>
 #
-# This is free software; you may copy, modify, and/or distribute this
-# work under the terms of the Apache License, version 2.0 as published
-# by the Apache Software Foundation. No warranty expressed or implied.
-# See the file ‘/usr/share/common-licenses/Apache-2.0’ for details.
+# This is free software: you may copy, modify, and/or distribute this work
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; version 3 of that license or any later version.
+# No warranty expressed or implied.
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -16,9 +16,11 @@
 
 export PYBUILD_NAME = coverage
 export PYBUILD_DISABLE = test
+export PYBUILD_SYSTEM = distutils
 
+PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
 PYTHON2_PACKAGE_NAME = python-${PYBUILD_NAME}
-PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
+PYPY_PACKAGE_NAME = pypy-${PYBUILD_NAME}
 package_working_root = debian
 package_install_root = debian/{package}
 
@@ -37,11 +39,11 @@
 MANPAGE_SUFFIX = .1
 manpage_tempfile_suffix = ${MANPAGE_SUFFIX}.tmp
 default_manpage_name = python-coverage${MANPAGE_SUFFIX}
+python3_command_names = $(sort $(notdir $(wildcard \
+	${package_working_root}/*/usr/bin/python3*-coverage)))
 python2_command_names = $(sort $(notdir $(wildcard \
 	${package_working_root}/*/usr/bin/python2*-coverage)))
-python3_command_names = $(sort $(notdir $(wildcard \
-	${package_working_root}/*/usr/bin/python3*-coverage)))
-versioned_command_names = ${python2_command_names} ${python3_command_names}
+versioned_command_names = ${python3_command_names} ${python2_command_names}
 versioned_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
 	${versioned_command_names})
 versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
@@ -54,6 +56,7 @@
 GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}
 
 INSTALL = install
+MV = mv
 
 # Send HTTP traffic to the “discard” service during packaging actions.
 export http_proxy = http://127.0.1.1:9/
@@ -69,7 +72,7 @@
 
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,python2,pypy,sphinxdoc --buildsystem=pybuild
 
 
 
@@ -135,7 +138,11 @@
 override_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild
 	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
-	    usr/bin/python-coverage)
+	    usr/bin/python-coverage usr/bin/pypy-coverage)
+	$(RM) $(addprefix ${package_working_root}/${PYTHON_PACKAGE_NAME}/, \
+	    usr/bin/python3*-coverage)
+	$(RM) $(addprefix ${package_working_root}/${PYPY_PACKAGE_NAME}/, \
+	    usr/bin/python*-coverage)
 
 export PYBUILD_AFTER_INSTALL = \
 	$(INSTALL) --mode=u=rwx,go=rx --directory \
@@ -147,7 +154,7 @@
 	dh_link \
 	    --package={package} \
 	    "/${RESOURCES_DIR}/${htmlfiles_dirname}" \
-	    usr/lib/python{version}/dist-packages/${HTMLFILES_DIR}
+	    {install_dir}/${HTMLFILES_DIR}
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.

Tests: smoke-python3
Depends:
    python3-coverage,
    python3-pkg-resources

Tests: smoke-python2
Depends:
    python-coverage,
    python-pkg-resources

Tests: smoke-pypy
Depends:
    pypy-coverage,
    pypy-pkg-resources

Test-Command:
    w3m -dump /usr/share/doc/python-coverage/html/index.html > /dev/null
Depends:
    python-coverage-doc,
    w3m

Test-Command:
    file --brief /usr/share/doc/python-coverage/html/index.html
        | grep -q 'HTML document'
Depends:
    python-coverage-doc,
    file

Tests: entry-point-scripts
Depends:
    python3-coverage,
    python3-all,
    python-coverage,
    python-all

Tests: module-scripts
Depends:
    python3-coverage,
    python3-all,
    python-coverage,
    python-all,
    pypy-coverage,
    pypy


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :
